#include<fstream>
#include<algorithm>
using namespace std;
ifstream fi("BAI2_18.inp");
ofstream fo("BAI2_18.out");
int main()
{
	int d=0;
	int n;
	fi>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		fi>>a[i];
	}
	//sort(a,a+n);
	for(int x=0;x<n;x++)
	{
		for(int y=x+1;y<n;y++)
		{
			for(int z=y+1;z<n;z++)
			{
				if(((a[x]+a[y])>a[z])&&((a[y]+a[z])>a[x])&&((a[z]+a[x])>a[y])) d++;
			}
		}
	}
	fo<<d;
	fi.close();
	fo.close();
}
